<%-- 
    Document   : exportarHorario
    Created on : 12/12/2014, 03:51:11 PM
    Author     : sistem16user
--%>

<%@page import="pe.siso.aniversario.Beans.Comisiones"%>
<%@page import="pe.siso.aniversario.Beans.Personal"%>
<%@page import="pe.siso.aniversario.Services.PersonalServices"%>
<%@page import="pe.siso.aniversario.Services.ComisionService"%>
<%@page import="pe.siso.aniversario.Beans.Usuario"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.Calendar"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>VER HORARIOS </title>
    </head>
    <body>
     <%
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
            
            ComisionService servicios = new ComisionService();
            PersonalServices serviciosPer = new PersonalServices();
        
            String comision = request.getParameter("codComision");
            String codDia = request.getParameter("codDia");
            
            
            String cadenaCodPer = "";
            cadenaCodPer = servicios.consultarPersonalComision(comision,codDia);
            ArrayList<Personal> lista = null;
            lista = serviciosPer.listarPersonalComision(cadenaCodPer);
            
            
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=listadorDeLaComision.xls"); 
        
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "style='background-color:#B5E0F5; border:solid 0.5pt;'";
            
     
        Calendar cal1 = Calendar.getInstance();
           
        int diaA = cal1.get(Calendar.DATE);
        int mes = cal1.get(Calendar.MONTH);
        int hora = cal1.get(Calendar.HOUR);
        int minuto = cal1.get(Calendar.MINUTE);
        int segundo = cal1.get(Calendar.SECOND);
        String diaAc = "";
        String mesAc = "";
        String hrAc = "";
        String minAc = "";
        String secAc = "";
        String perDia = "";
        int horaAc=0;
        if(diaA<10){ diaAc = "0"+diaA; }else{ diaAc = ""+diaA;}

        if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }

        //if(hora<10){  if(hora==0){ hrAc = "12"; }else{ hrAc = "0"+hora;  } perDia="am."; }else{  hrAc = ""+hora; perDia="pm."; }
        
        
        
        if(hora<12){ 
            perDia="am."; 
            if(hora<10 && hora>0){
                hrAc="0"+hora;
            }else if(hora==0){
                hrAc="12";
            }else{
                hrAc=""+hora; 
            }  
        }else{
            if(hora==12){
                hrAc="12";
            }else{
                horaAc=hora-12;
                if(horaAc<10){
                    hrAc="0"+horaAc;
                }else{
                    hrAc = ""+horaAc;
                }
            }
            perDia="pm.";
        }
        
        
        
        if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }

        if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }
        
        
        
    %>
   
    
    <table align='center' border='0' cellpadding= '0' cellspacing= '0'>
        <tr>
            <td  align='center' colspan='7' ><h3>LISTADO DE COLABORADORES POR COMISIÓN</h3></td>
        </tr>
        <tr>
            <td colspan="4"></td>
            <td colspan="3" align="right"> </td>
        </tr>
        <tr>
            <td colspan="4"><b>FUENTE: </b> SISTEMA DE ANIVERSARIO</td>
            <td colspan="3" align="right"><b>COMISIÓN: </b> <%=usuario!=null?usuario.getNombre():""%>  </td>
        </tr>
        <tr>
            <td colspan="4"><b>REGISTROS: </b> <%=lista.size()%></td>
            <td colspan="3" align="right"><b>ACTUALIZACIÓN: </b><%=diaAc+"/"+mesAc+"/"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc+" "+perDia%></td>
        </tr>
        <tr>
            <td height='15'></td>
        </tr>
        <tr role='row' style='font-size:11px;'> 
            <th  width='30' <%=borderColorTitulo%> align='center' >N°</th> 
            <th  width='90' <%=borderColorTitulo%> align='center'>TIPO</th> 
            <th  <%=borderColorTitulo%> align='center'>APELLIDOS Y NOMBRES</th> 
            <th  <%=borderColorTitulo%> align='center'>SEDE</th> 
            <th  <%=borderColorTitulo%> align='center'>CARGO</th> 
            <th  <%=borderColorTitulo%> align='center'>HORARIO</th>
            <th  <%=borderColorTitulo%> align='center'>FUNCIONES</th>
        </tr> 
        <%
            
            for(int i=0; i<lista.size();i++){
                int cont = i+1;
                ComisionService serviciosCom = new ComisionService();
                Comisiones aniver = new Comisiones();
                String codPer = lista.get(i).getCodigo();
                String nomPer = lista.get(i).getApellido()+", "+lista.get(i).getNombre();
                aniver = serviciosCom.ComisionTipo(codPer,codDia);
                int dato = 0;
                String horario = "";
                String funciones = "";
                String tipo = "";
                String editar = "";
                String codDetalle = aniver.getCodigo();
                String codAniversario= aniver.getCodigoAniversario();
                if(aniver.getCodigoTipoAsis().equals("1")){
                    horario = aniver.getHoraInicio()+" - "+aniver.getHoraFin();
                    funciones = aniver.getCadenaFuncion();
                    tipo = "  ";
                }else if(aniver.getCodigoTipoAsis().equals("2")){
                    horario = "LICENCIA POR MATERNIDAD";
                    funciones = "";
                    tipo = " style='background-color: #FFE699' ";
                }else if(aniver.getCodigoTipoAsis().equals("3")){
                    horario = "LICENCIA POR SALUD";
                    funciones = "";
                    tipo = " style='background-color: #FFE699' ";
                }
                int responsable = serviciosCom.verificarResponsable(comision,codPer);
                String resp = "";
                if(responsable==1){
                    resp = "<b style='color:red;'>REPONSABLE</b>";
                }else{
                    resp = "COLABORADOR";
                }
        %>
                <tr role='row' style='font-size:11px;'> 
                    <td <%=border%> <%=tipo%> align='center' ><%=cont%></td>
                    <td <%=border%> <%=tipo%>><%=resp%></td>
                    <td <%=border%> <%=tipo%>><%=lista.get(i).getApellido()+", "+lista.get(i).getNombre()%></td>
                    <td <%=border%> <%=tipo%>><%=lista.get(i).getLocal()%></td>
                    <td <%=border%> <%=tipo%>><%=lista.get(i).getCargo()%></td>
                    <td <%=border%> <%=tipo%> align='center' ><%=horario%></td>
                    <td <%=border%> <%=tipo%>><%=funciones%></td>
                </tr>
        
        <%
            }
        %>
                
        
    </table> 
    </body>
</html>
